@media (min-width: 1023px) {
  .navigation .menu ul li ul.cs-dropdown {
    width: max-content;
  }
  .navigation .menu ul li.menu-scroll ul.cs-dropdown {
    max-height: 400px;
    overflow-y: auto;
  }

  .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #f5f5f5;
  }

  .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar {
    width: 7px;
    background-color: #f5f5f5;
  }

  .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar-thumb {
    background-color: #9a9999;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
  }
}

.navigation .menu ul li.hidden_lg {
  display: none;
}

@media (max-width: 1200px) {
  .menubar .container:before {
    z-index: -1;
    top: -1px;
  }

  .menubar .container:after {
    top: -1px;
  }

  .navigation .menu ul li a {
    padding: 21px 8px;
    display: block;
    color: #333;
    transition: all 0.3s ease;
    font-size: 14px;
    background: 0 0;
    font-weight: 500;
  }
}

@media (max-width: 1023px) {
  .menubar .container-fluid:before {
    left: 0;
    content: none;
    position: absolute;
  }

  .menubar .container-fluid:after {
    right: 0;
    content: none;
    position: absolute;
  }

  .top_contact {
    display: none;
  }

  .header {
    background: #8b0505;
    position: relative;
  }

  .menubar .container:before {
    left: 0;
    content: none;
  }

  .menubar .container:after {
    right: 0;
    content: none;
  }

  .menubar .logo {
    position: absolute;
    top: 0;
    z-index: 99;
    max-width: 260px;
  }

  .navigation {
    float: left;
    width: 100%;
    position: relative;
  }

  .navigation .navbar {
    display: block;
    float: left;
    width: 100%;
    padding: 12px 0;
  }

  .navbar .phone_call {
    margin: 10px 0 0;
  }

  .accordion-body p {
    line-height: 24px;
  }

  .navigation .menu {
    display: none;
    width: 100%;
    overflow: hidden;
    overflow-y: visible;
    position: relative;
    z-index: 9999;
    max-height: 480px;
    overflow-y: auto;
    position: absolute;
    top: 100%;
    background: #8b0505;
    left: 0;
    right: 0;
    text-align: left;
  }

  .navigation .menu ul:after,
  .navigation .menu ul:before {
    height: 0;
  }

  .navigation .menu ul li {
    padding: 0;
    float: left;
    width: 100%;
    display: block;
  }

  .navigation .menu ul li a {
    padding: 7px 15px;
    text-align: left;
    font-size: 14px;
    border-right: 1px dashed transparent;
    color: #fff;
    border-bottom: 1px solid #ffffff5b;
    display: block;
  }

  .navigation .menu ul li.hidden_lg {
    display: block;
  }

  .navigation .menu ul li ul.cs-dropdown {
    position: relative !important;
    opacity: 1 !important;
    visibility: visible !important;
    top: auto !important;
    left: auto !important;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    width: 100%;
    display: none;
    transition: none !important;
  }

  .navigation .menu ul li ul.cs-dropdown,
  .navigation .menu ul li ul.cs-dropdown li .cs-dropdown {
    padding-top: 0;
    padding-left: 0;
    padding-bottom: 0;
    display: none;
    transition: none;
    padding-right: 0;
    width: 100%;
    background: #2a419b;
  }

  .navigation .menu ul .cs-submenu a {
    position: relative;
  }

  .navigation .menu ul li.cs-submenu a button {
    display: block;
    position: absolute;
    top: 0;
    right: 15px;
    background: 0 0;
    border: 0;
    color: #fff;
    font-size: 16px;
    height: 30px;
    outline: 0;
    width: 30px;
    padding: 0;
    text-align: center;
    line-height: 18px;
  }

  .navigation ul li.cs-submenu a button svg {
    width: 16px;
    height: 16px;
  }

  .navigation ul li.cs-submenu a button.rotated svg {
    transform: rotateZ(180deg);
  }

  .navigation ul li.cs-submenu:hover svg {
    transform: rotateZ(0);
  }

  .navigation .menu ul li ul.cs-dropdown,
  .navigation .menu ul li ul.cs-dropdown li .cs-dropdown li .cs-dropdown {
    padding-top: 0;
    padding-left: 0;
    padding-bottom: 0;
    display: none;
    transition: none;
    padding-right: 0;
    float: left;
    width: 100% !important;
    background: #8b0505;
  }

  .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown {
    left: 100%;
    margin-top: 0;
  }

  .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown li ul.cs-dropdown {
    left: -100%;
    margin-top: 0;
  }

  .navigation .menu ul li ul.cs-dropdown li {
    border-bottom: 0;
  }

  .navigation .menu ul li ul.cs-dropdown li a {
    color: #fff;
    display: block;
    font-size: 14px;
    padding: 7px 15px;
    line-height: normal;
    border-bottom: 1px solid #ffffff6b;
    background: #630000;
  }

  .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown li a {
    background: #630000;
    border-bottom: 1px solid #ffffff6b;
  }

  .navigation .menu ul li.cs-submenu:first-child ul.cs-dropdown {
    width: 100%;
  }

  .navigation .menu ul li.cs-submenu:first-child ul.cs-dropdown li {
    width: 100%;
    float: left;
    position: relative;
  }

  .navigation
    .menu
    ul
    li.cs-submenu:first-child
    ul.cs-dropdown
    li:nth-child(2n) {
    border-left: 0 solid #eee;
  }

  .navigation ul li.cs-submenu ul.cs-dropdown li a button {
    color: #fff;
  }

  .mobile_hide {
    display: none !important;
  }

  .navigation .menu ul li.active a,
  .navigation .menu ul li:hover a {
    color: #fda10e;
    background: 0 0;
  }

  .navigation .menu ul li:hover ul.cs-dropdown {
    display: none;
  }

  .navigation .menu ul > li:nth-child(4) ul.cs-dropdown {
    width: 100%;
  }

  .navigation .menu ul > li:nth-child(4) ul.cs-dropdown li {
    width: 100%;
  }

  .navigation .menu ul > li:nth-child(4) ul.cs-dropdown li:nth-child(2n) {
    border-left: 0;
  }

  .why-choose-us:before {
    width: 100%;
  }

  .hidden_xs {
    display: none;
  }

  .right-content {
    padding: 0 15px;
  }

  .service_content {
    height: auto;
  }

  .service_content .center_box {
    position: relative;
    top: 0;
    left: 0;
    transform: translate(0, 0);
  }

  .why-choose-us .image-column .image::before {
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
  }

  .webpulse_home_featured {
    background-size: cover;
  }

  .web-pulse-india .moreBtn {
    margin-bottom: 20px;
  }

  .text-right {
    text-align: left;
  }

  .wps_copy {
    line-height: 24px;
    padding: 10px 0;
  }

  .homeFeture {
    padding: 30px 0;
  }

  .serviceBlock {
    margin-top: 0;
    margin-bottom: 20px;
  }

  .homeFactsheet {
    margin: 20px 0 0;
  }

  .navigation .menu ul li.cs_mega ul.cs-dropdown {
    width: 100%;
    left: 0;
    height: auto;
    padding: 0;
    columns: 1;
    -webkit-columns: 1;
    -moz-columns: 1;
    display: none;
  }

  .navigation .menu ul li.cs_mega ul.cs-dropdown li a {
    padding: 7px 15px;
    border-bottom: 1px solid #2a419b;
  }

  .navigation .menu ul li.cs_mega ul.cs-dropdown li ul.cs-dropdown li a {
    display: block;
    width: 100%;
    padding: 7px 15px;
    line-height: normal;
    border-bottom: 1px solid #2a419b;
  }

  .navigation ul li.cs-submenu:hover ul.cs-dropdown li.cs-submenu svg {
    color: #fff;
  }

  .navigation .menu ul li.cs_mega ul.cs-dropdown li a button {
    display: inline-block;
    transform: rotateZ(90deg);
  }

  .navigation .menu ul li.cs_mega ul.cs-dropdown li ul.cs-dropdown {
    display: none;
  }

  .navigation .menu ul li.cs_mega ul.cs-dropdown li a span {
    font-weight: 400;
    color: #fff;
    font-size: 14px;
  }

  .navigation .menu ul li ul.cs-dropdown li:hover ul.cs-dropdown li a {
    background: 0 0;
    color: #fff;
  }

  .navigation .menu ul li.cs_mega ul.cs-dropdown li ul.cs-dropdown {
    margin: 0;
  }
}

@media (max-width: 980px) {
  .home_about-web-pulse .features-image {
    width: 100%;
  }

  .home_about-web-pulse .web-pulse-features-area {
    width: 100%;
  }

  #featuredProducts .owl-nav .owl-prev {
    left: -10px;
  }

  #featuredProducts .owl-nav .owl-next {
    right: -10px;
  }

  .blog-item {
    margin-bottom: 20px;
  }

  .home_right_sec {
    padding: 20px 0;
  }
}

@media (max-width: 767px) {
  .top_right ul.social {
    margin-left: auto;
  }

  .phone_call {
    margin: 0;
  }

  .wpsSlider img {
    aspect-ratio: 140/67;
  }

  .topbar .container-fluid {
    max-width: 100%;
  }

  .menubar {
    position: relative;
  }

  .menubar .container-fluid {
    max-width: 100%;
  }

  ul.social li a {
    width: 30px;
    height: 30px;
  }

  .phone_call a svg {
    width: 20px;
    height: 20px;
    margin-right: 0;
    vertical-align: middle;
  }

  .home_slider .title_1 {
    font-size: 26px;
  }

  .home_slider p {
    font-size: 18px;
  }

  .inner-box {
    margin: 0;
  }

  .inner-box .image-box .image {
    height: auto;
  }

  .inner-box .image-box .image img {
    position: relative;
    top: 0;
    left: 0;
    transform: none;
  }

  .web-pulse-india .read_more_btn {
    margin-bottom: 30px;
  }

  .home_about-web-pulse .features-image {
    width: 100%;
  }

  .home_about-web-pulse .web-pulse-features-area {
    width: 100%;
  }

  .feture_box {
    margin-bottom: 10px;
  }

  .image04 {
    height: auto;
  }

  .image04 img {
    position: relative;
    top: 0;
    left: 0;
    transform: none;
  }

  .red-sec-heading {
    padding: 0 0 70px;
  }

  .footer-links {
    margin: 0 0 25px;
  }

  .footer-links a {
    color: #fff;
    text-transform: capitalize !important;
    padding: 5px 10px;
    border: 1px solid #9f0000;
    display: inline-block;
    width: 100%;
    margin-bottom: 10px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 4px;
  }

  .footer-links a:hover {
    background: #fda10e;
    border-color: #fda10e;
    color: #fff;
  }

  .product_listing .product {
    padding: 0;
    border-right: 0px solid #ccc;
    margin: 0;
  }

  .product_listing .product .image1 {
    height: 348px;
  }

  .heading_banner {
    padding: 20px 0;
  }

  .heading_banner .cat_title {
    font-size: 28px;
    padding: 5px 15px;
  }

  .heading_banner .cat_title2 {
    display: none;
  }

  .product_right_image {
    float: right;
    width: 100%;
    margin: 0 0 15px 0;
    text-align: center;
  }

  .path_type_1 {
    height: 50px;
  }

  .wprt-icon-text {
    margin-bottom: 20px;
  }

  .service_content .center_box {
    padding: 15px;
  }

  .home_about_content {
    max-width: 100%;
  }

  .home_about-web-pulse {
    background-size: cover;
    background-position: center center;
  }

  .home_testimonials_webpulse {
    background-size: cover;
    background-position: center center;
  }

  .path_type_2.home-left,
  .path_type_2.home-right path {
    height: 50px;
  }

  .path_type_2.home-right {
    height: 50px;
  }

  .web-pulse-choose {
    background-size: cover;
    background-position: center center;
  }

  .heading_banner {
    background-size: cover;
  }

  .blog_details_img {
    height: auto;
  }

  .market-list li {
    width: 50% !important;
    display: block !important;
  }

  .product_popup {
    margin-bottom: 20px;
  }

  .more_info {
    max-height: inherit;
  }

  .right-content {
    padding-bottom: 15px;
  }

  .read_more_btn_2.callback {
    margin-top: 15px;
  }

  .video-section .video-inner {
    width: 100%;
    padding: 56px 0;
    max-height: inherit;
    margin: 0 auto;
  }

  .ti-text {
    height: auto;
  }

  .web-pulse-india .moreBtn2 {
    margin-bottom: 30px;
  }

  .why-choose-us {
    padding: 30px 0 30px;
    overflow: hidden;
  }

  .as_service_img .as_service_img {
    position: unset;
    transform: translate(0, 0);
    margin: auto;
  }

  .as_service_img .as_service_circle {
    margin: auto;
    position: absolute;
    top: 20px;
    left: 0;
    right: 0;
  }

  .as_service_img {
    position: relative;
    margin: 20px 0;
    text-align: center;
  }

  #homeNumerology .owl-nav .owl-prev {
    left: -10px;
  }

  #homeNumerology .owl-nav .owl-next {
    right: -10px;
  }

  .as_about_detail {
    margin-bottom: 20px;
  }

  .as_aboutimg {
    margin-bottom: 20px;
  }

  .right-content .moreBtn2 {
    float: left;
    padding: 0 12px;
    font-size: 13px;
    margin-right: 5px;
  }

  .product_listing {
    padding-bottom: 15px;
  }
}

@media (max-width: 480px){
  .call-btn,
  .send_enquiry,
  .whatapp_btn{
    left: auto;
    right: 15px;
  }

  #web-pulse-scroll-up{
    display: none !important;
  }
} 
